Skip navigation.
Home
The QNX Community Portal

View topic - PHP 5.0 and apache 2.0

PHP 5.0 and apache 2.0

This is where you can ask a software to be ported or written for QNX. You can also request to buy/sell second hand software.

PHP 5.0 and apache 2.0

Postby charleshb » Thu May 10, 2007 2:14 pm

Is it possible to get a ready build for PHP 5.0 and Apache 2.0 or atleast PHP 4.3 and Apache 1.3 with all ipc mechanisms enabled(like --enable-sharedmemory) and ftp enabled (--enable-ftp) - the current build from qnx for 6.2 does not seem to support any of these.

also I was thinking if ajax can be used successfully with php on qnx?

any help would be greatly appreciated.
charleshb
New Member
 
Posts: 7
Joined: Thu Aug 03, 2006 11:58 am

RE: PHP 5.0 and apache 2.0

Postby maschoen » Thu May 10, 2007 6:25 pm

I've successfully built PHP 5.0 and Apache 2.0 for QNX 6.3, and I can't think of any reason it wouldn't compile the same for 6.2. I don't know about the enables you mention, but I doubt there would be a problem.

Yes, AJAX works fine on QNX, although the question suggests some lack of understanding. AJAX uses any server side script or program just the way a non-Ajax site would, only the output is different. The ability to use Ajax resides in the browser. If you are asking whether Voyager supports Ajax, I don't know, but I'd guess not.

BTW, there are significant shared library linking problems getting mod_php to work. I've documented these in another openqnx.com thread.
maschoen
QNX Master
 
Posts: 2640
Joined: Wed Jun 25, 2003 5:18 pm

Postby charleshb » Fri May 11, 2007 11:36 am

thanx maschoen. I expected that about Ajax but was not sure as I am novice to this. I will try ajax with my php application then. should see how far that would work fine.
charleshb
New Member
 
Posts: 7
Joined: Thu Aug 03, 2006 11:58 am

Postby maschoen » Fri May 11, 2007 7:24 pm

If you need some example code, let me know.
maschoen
QNX Master
 
Posts: 2640
Joined: Wed Jun 25, 2003 5:18 pm

Re: PHP 5.0 and apache 2.0

Postby Cheetah » Wed Feb 13, 2013 9:45 pm

Hi Maschoen ,
I'm looking for Apache and PHP to run on my PPC target with QNX 6.4.1.
I would appreciate if that can be shared either as a binary or source.

It was said in QNX documentation/ google that Apache is an overhead for embedded systems with QNX. We generally have only one client to the server( on target). Is Apache not recommended for services that have many clients or does it hog the CPU? Our cpu is 400MHz and is currently used only 30%.


Thanks,
Cheetah
Cheetah
New Member
 
Posts: 5
Joined: Thu Dec 27, 2012 4:39 pm

Re: PHP 5.0 and apache 2.0

Postby maschoen » Fri Feb 15, 2013 6:22 pm

You will most likely have to compile your own version. The last time I created Apache w/PHP using pkgsrc there were a minimum of issues.

Apache is a very substantial web server. It has a lot of features, some optional. It can handle many clients. It handles more websites than any other web server. You can use it on an embedded system if you have sufficient memory. That is not a lot of memory these days. It is not terribly CPU intensive either. Your 400Mhz cpu will be adequate.

This issue however is do you need it. If slinger has enough features, then I would recommended it instead.

Cheetah wrote:Hi Maschoen ,
I'm looking for Apache and PHP to run on my PPC target with QNX 6.4.1.
I would appreciate if that can be shared either as a binary or source.

It was said in QNX documentation/ google that Apache is an overhead for embedded systems with QNX. We generally have only one client to the server( on target). Is Apache not recommended for services that have many clients or does it hog the CPU? Our cpu is 400MHz and is currently used only 30%.

Cheetah
maschoen
QNX Master
 
Posts: 2640
Joined: Wed Jun 25, 2003 5:18 pm


Return to Request Software

Who is online

Users browsing this forum: No registered users and 1 guest

cron